Skip to main content
POST
/
v1
/
bill
/
quote
Get a purchase quote
curl --request POST \
  --url https://api.sandbox.busha.so/v1/bill/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "product_code": "<string>",
  "amount": "<string>",
  "recipient": "<string>",
  "source_currency": "<string>"
}
'
{
  "status": "success",
  "message": "message for success",
  "data": {
    "product_name": "<string>",
    "product_code": "<string>",
    "category": "<string>",
    "recipient": "<string>",
    "amount": "1000.00",
    "currency": "NGN",
    "source_amount": "0.68",
    "source_currency": "USD",
    "fee": "0.00",
    "fee_currency": "USD",
    "total": "0.68",
    "total_currency": "USD",
    "rate": "1 USD = 1,478.24 NGN"
  }
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Body

application/json
product_code
string
required

Product code to purchase

amount
string
required

Amount in bill currency

recipient
string
required

Meter number, smartcard, customer ID, etc.

source_currency
string

Currency to charge from (defaults to bill currency if omitted)

Response

200 - application/json

Quote generated

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object